# Uses of Class
org.apache.sysds.parser.dml.DmlParser.DataTypeContext

Packages that use DmlParser.DataTypeContext
Package
Description
org.apache.sysds.parser.dml

## Uses of DmlParser.DataTypeContext in org.apache.sysds.parser.dml

Subclasses of DmlParser.DataTypeContext in org.apache.sysds.parser.dml
Modifier and Type
Class
Description
`static class`
`DmlParser.MatrixDataTypeCheckContext`
Methods in org.apache.sysds.parser.dml that return DmlParser.DataTypeContext
Modifier and Type
Method
Description
`final DmlParser.DataTypeContext`
DmlParser.`dataType()`
`DmlParser.DataTypeContext`
DmlParser.Ml_typeContext.`dataType()`
Methods in org.apache.sysds.parser.dml with parameters of type DmlParser.DataTypeContext
Modifier and Type
Method
Description
`void`
DmlParser.DataTypeContext.`copyFrom(DmlParser.DataTypeContext ctx)`
Constructors in org.apache.sysds.parser.dml with parameters of type DmlParser.DataTypeContext
Modifier
Constructor
Description
``
`MatrixDataTypeCheckContext(DmlParser.DataTypeContext ctx)`